set use_from=yes

set send_charset=utf-8
set edit_headers=yes
set ssl_starttls=yes
set ssl_force_tls=yes
unset imap_passive
set imap_check_subscribed
set mail_check=60
set timeout=10
set header_cache=~/.mutt/header_cache
set net_inc=5

set narrow_tree=no
set sort=threads
set sort_aux=last-date-received
set strict_threads=yes

set fast_reply=yes
set include=yes

set sidebar_visible=yes
set sidebar_sort_method=path
set sidebar_folder_indent=yes
set sidebar_indent_string='  '
set mail_check_stats
set sidebar_format = '%B%* %?N?%N / ?%S'
set sidebar_short_path=yes
set sidebar_width=30
set sidebar_delim_chars='/.'
set sidebar_next_new_wrap=yes

set mailcap_path=~/.mutt/mailcap
alternative_order text/plain text/html
auto_view text/html

set index_format="%4C %Z %{%b %d} %-25.25L (%?l?%4l&%4c?) %s"

set editor="vim -c 'set spell spelllang=de,en'"

source ~/.mutt/gpg.rc

set pgp_use_gpg_agent=yes
set pgp_timeout=60
set crypt_autosign=yes
set crypt_replyencrypt=yes
set crypt_verify_sig=yes
set crypt_replysignencrypted=yes

set pgp_decode_command="gpg %?p?--passphrase-fd 0? --no-verbose --batch --output - %f"
set pgp_verify_command="gpg --status-fd=2 --no-verbose --batch --output - --verify %s %f"
set pgp_decrypt_command="gpg --status-fd=2 --passphrase-fd 0 --no-verbose --batch --output - %f"
set pgp_sign_command="gpg --no-verbose --batch --output - --passphrase-fd 0 --armor --detach-sign --textmode %?a?-u %a? %f"
set pgp_clearsign_command="gpg --no-verbose --batch --output - --passphrase-fd 0 --armor --textmode --clearsign %?a?-u %a? %f"
set pgp_import_command="gpg --no-verbose --import -v %f"
set pgp_export_command="gpg --no-verbose --export --armor %r"
set pgp_verify_key_command="gpg --no-verbose --batch --fingerprint --check-sigs %r"
set pgp_list_pubring_command="gpg --no-verbose --batch --with-colons --list-keys %r" 
set pgp_list_secring_command="gpg --no-verbose --batch --with-colons --list-secret-keys %r" 

send-hook . 'reset pgp_autoencrypt'
send-hook "!~l ~t office@ccc.de" "set crypt_autoencrypt crypt_autosign"

set query_command= "khard email --parsable '%s'"
bind editor <Tab> complete-query
bind editor ^T    complete
bind index,pager S sidebar-toggle-visible

source ~/.mutt/spacekookie.theme

# Account management
source ~/.mutt/hi@kunsmann.eu
#source ~/.mutt/hostmaster@kunbox.net
#source ~/.mutt/foundyourshit@franzi.business

macro index,pager <f2> '<sync-mailbox><enter-command>source ~/.mutt/hi@kunsmann.eu<enter><change-folder>+INBOX<enter>'
macro index,pager <f3> '<sync-mailbox><enter-command>source ~/.mutt/hostmaster@kunbox.net<enter><change-folder>+INBOX<enter>'
macro index,pager <f4> '<sync-mailbox><enter-command>source ~/.mutt/foundyourshit@franzi.business<enter><change-folder>+INBOX<enter>'
#macro index 'c' '<change-folder>?<change-dir><home>^K='

# vim: syntax=muttrc
